org.keycloak.models.utils

## Class FederatedCredentials

- java.lang.Object
- - org.keycloak.models.utils.FederatedCredentials

-     public class FederatedCredentials
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FederatedCredentials()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static UserCredentialValueModel` | `getCredentialByType(UserFederatedStorageProvider provider, RealmModel realm, UserModel user, String type)`
    `static LinkedList<UserCredentialValueModel>` | `getCredentialsByType(UserFederatedStorageProvider provider, RealmModel realm, UserModel user, String type)`
    `static void` | `updateCredential(KeycloakSession session, UserFederatedStorageProvider provider, RealmModel realm, UserModel user, UserCredentialModel cred)`
    `static void` | `updateOtpCredential(KeycloakSession session, UserFederatedStorageProvider provider, RealmModel realm, UserModel user, UserCredentialModel cred)`
    `static void` | `updatePasswordCredential(KeycloakSession session, UserFederatedStorageProvider provider, RealmModel realm, UserModel user, UserCredentialModel cred)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FederatedCredentials

          public FederatedCredentials()

  - ### Method Detail

    - #### updateCredential

          public static void updateCredential(KeycloakSession session,
                                              UserFederatedStorageProvider provider,
                                              RealmModel realm,
                                              UserModel user,
                                              UserCredentialModel cred)

    - #### getCredentialByType

          public static UserCredentialValueModel getCredentialByType(UserFederatedStorageProvider provider,
                                                                     RealmModel realm,
                                                                     UserModel user,
                                                                     String type)

    - #### getCredentialsByType

          public static LinkedList<UserCredentialValueModel> getCredentialsByType(UserFederatedStorageProvider provider,
                                                                                  RealmModel realm,
                                                                                  UserModel user,
                                                                                  String type)

    - #### updatePasswordCredential

          public static void updatePasswordCredential(KeycloakSession session,
                                                      UserFederatedStorageProvider provider,
                                                      RealmModel realm,
                                                      UserModel user,
                                                      UserCredentialModel cred)

    - #### updateOtpCredential

          public static void updateOtpCredential(KeycloakSession session,
                                                 UserFederatedStorageProvider provider,
                                                 RealmModel realm,
                                                 UserModel user,
                                                 UserCredentialModel cred)

Copyright © 2016 JBoss by Red Hat. All rights reserved.